import type { MetadataOptions, CategoryIndexMatcher, DocMetadataBase } from "@docusaurus/plugin-content-docs";
import type { LoadContext } from "@docusaurus/types";
declare type DocFile = {
    contentPath: string;
    filePath: string;
    source: string;
    content: string;
};
export declare type DocEnv = "production" | "development";
export declare function processDocMetadata(args: {
    docFile: DocFile;
    relativeSource: string;
    context: LoadContext;
    options: Omit<MetadataOptions, "editCurrentVersion" | "editLocalizedFiles" | "numberPrefixParser" | "breadcrumbs">;
    env: DocEnv;
}): Promise<DocMetadataBase>;
export declare const isCategoryIndex: CategoryIndexMatcher;
/**
 * `guides/sidebar/autogenerated.md` ->
 *   `'autogenerated', '.md', ['sidebar', 'guides']`
 */
export declare function toCategoryIndexMatcherParam({ source, sourceDirName, }: Pick<DocMetadataBase, "source" | "sourceDirName">): Parameters<CategoryIndexMatcher>[0];
export {};
